CodeIgniter Forums
PHP 5.3.0 Compatibility - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: Archived Discussions (https://forum.codeigniter.com/forum-20.html)
+--- Forum: Archived General Discussion (https://forum.codeigniter.com/forum-21.html)
+--- Thread: PHP 5.3.0 Compatibility (/thread-21042.html)

Pages: 1 2 3 4 5 6


PHP 5.3.0 Compatibility - El Forum - 08-23-2009

[eluser]Derek Allard[/eluser]
The line around that is
Code:
if ( ! is_php('5.3'))
{
    @set_magic_quotes_runtime(0); // Kill magic quotes
}

So it looks like your environment may be reporting something different. What version does a PHPinfo give you?


PHP 5.3.0 Compatibility - El Forum - 08-23-2009

[eluser]ice_prince7[/eluser]
it gives me php 5.3.0

ive used tortoiseSVN to download the patches, but i cant seem to find

Code:
if ( ! is_php('5.3'))
{
    @set_magic_quotes_runtime(0); // Kill magic quotes
}


in codeigniter.php


*edit: I have found the code, but it seems that my problem wasnt addressed. Currently I`ll revert back to the older version of php.


PHP 5.3.0 Compatibility - El Forum - 08-24-2009

[eluser]Derek Jones[/eluser]
I'd double check that your svn checkout has the current revision. You can double check by comparing your file to the web viewable version: http://dev.ellislab.com/svn/CodeIgniter/trunk/system/codeigniter/CodeIgniter.php

Perhaps a new checkout would be best, since many files are touched.


PHP 5.3.0 Compatibility - El Forum - 08-25-2009

[eluser]n0xie[/eluser]
[quote author="ntulip" date="1250642614"]Thanks. My site went belly up last night after the host upgraded.[/quote]
What host would just upgrade without notice?


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]eokorie[/eluser]
I just have a slight issue where my template css is just not being loaded. Might just be something simple that I am overlooking...


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]Derek Allard[/eluser]
[quote author="eokorie" date="1251326825"]I just have a slight issue where my template css is just not being loaded. Might just be something simple that I am overlooking...[/quote]

Is that related to PHP 5.3.0 compatibility? If not, you'll probably have better luck exploring this in a new thread.


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]eokorie[/eluser]
Hi Derek, this is related to PHP 5.3. Everything was being displayed properly prior to installing PHP 5.3 but now there are not.


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]Derek Allard[/eluser]
Quote:Hi Derek, this is related to PHP 5.3. Everything was being displayed properly prior to installing PHP 5.3 but now there are not.
OK, excellent. We'll help you figure it out. After further thought, I still think it'd be best if you started a new thread, that way it'd be entirely devoted towards helping your issue.


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]eokorie[/eluser]
Hi Derek,

I may have solved the issue of the CSS files not showing up. For some reason the php short tags are not being read. i.e if i use <?=$content?> it does not seem to work but <?php echo $content; ?> works...!? Are PHP short tags disabled by default on PHP 5.3?


PHP 5.3.0 Compatibility - El Forum - 08-26-2009

[eluser]Derek Jones[/eluser]
If you're using the stock php.ini, probably so, eokorie.